API reference
Bind a default wallet to a payment agent
Bind a default wallet to a payment agent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
POST
/v1/agent-payments/agents/{agentId}/wallet-bindingsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/agents/{agentId}/wallet-bindings" \ -H "Content-Type: application/json" \ -d '{ "agent_wallet_id": "string", "network": "eip155:1" }'{
"id": "string",
"payment_agent_id": "string",
"agent_wallet_id": "string",
"network": "eip155:1",
"is_default": true,
"created_at": "2019-08-24T14:15:22Z"
}Empty
How is this guide?
Last updated
Disable an agent wallet and remove its bindings POST
Disable an agent wallet and remove its bindings. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
Remove a payment agent wallet binding DELETE
Remove a payment agent wallet binding. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.